Package com.avaya.clientservices.presence

## Interface PresenceAccessControlListener

-     public interface PresenceAccessControlListener

  Interface that can be used to receive presence access control updates.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onPresenceAccessControlPolicyChanged​(PresenceAccessControlList presenceAccessControlList, PresenceACLPolicy policy)` | Called when the `PresenceACLPolicy` has been changed.
    `void` | `onPresenceAccessControlRulesChanged​(PresenceAccessControlList presenceAccessControlList, java.util.Set<PresenceWatcher> allowedPresenceWatchers, java.util.Set<PresenceWatcher> blockedPresenceWatchers)` | Called when the list of users allowed to track local user's presence or a list of users blocked from tracking local user's presence have been changed.

- - ### Method Detail

    - #### onPresenceAccessControlRulesChanged

          void onPresenceAccessControlRulesChanged​(PresenceAccessControlList presenceAccessControlList,
                                                   java.util.Set<PresenceWatcher> allowedPresenceWatchers,
                                                   java.util.Set<PresenceWatcher> blockedPresenceWatchers)

      Called when the list of users allowed to track local user's presence or a list of users blocked from tracking local user's presence have been changed.
      Parameters:
        `presenceAccessControlList` - The presence access control list associated with the callback.
        `allowedPresenceWatchers` - List of allowed presence watchers.
        `blockedPresenceWatchers` - List of blocked presence watchers.

    - #### onPresenceAccessControlPolicyChanged

          void onPresenceAccessControlPolicyChanged​(PresenceAccessControlList presenceAccessControlList,
                                                    PresenceACLPolicy policy)

      Called when the `PresenceACLPolicy` has been changed.
      Parameters:
        `presenceAccessControlList` - The presence access control list associated with the callback.
        `policy` - Current presence access control list policy.